digiKam Developer Documentation: Digikam::LightTableView Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
Digikam::LightTableView Class Reference
Inheritance diagram for Digikam::LightTableView:

## Public Slots
void | setLeftZoomFactor (double z)
void | setRightZoomFactor (double z)
void | slotDecreaseLeftZoom ()
void | slotDecreaseRightZoom ()
void | slotIncreaseLeftZoom ()
void | slotIncreaseRightZoom ()
void | slotLeftFitToWindow ()
void | slotLeftZoomSliderChanged (int)
void | slotLeftZoomTo100 ()
void | slotRightFitToWindow ()
void | slotRightZoomSliderChanged (int)
void | slotRightZoomTo100 ()

## Signals
void | signalDeleteItem (const ItemInfo &)
void | signalEditItem (const ItemInfo &)
void | signalLeftDroppedItems (const ItemInfoList &)
void | signalLeftPanelLeftButtonClicked ()
void | signalLeftPopupTagsView ()
void | signalLeftPreviewLoaded (bool)
void | signalLeftPreviewLoadingComplete ()
void | signalLeftPreviewLoadingProgress (float progress)
void | signalLeftPreviewSelected (bool)
void | signalLeftPreviewStartedLoading ()
void | signalLeftSlideShowCurrent ()
void | signalLeftZoomFactorChanged (double)
void | signalRightDroppedItems (const ItemInfoList &)
void | signalRightPanelLeftButtonClicked ()
void | signalRightPopupTagsView ()
void | signalRightPreviewLoaded (bool)
void | signalRightPreviewLoadingComplete ()
void | signalRightPreviewLoadingProgress (float progress)
void | signalRightPreviewSelected (bool)
void | signalRightPreviewStartedLoading ()
void | signalRightSlideShowCurrent ()
void | signalRightZoomFactorChanged (double)
void | signalToggleOnSyncPreview (bool)

## Public Member Functions
| LightTableView (QWidget *const parent=nullptr)
void | checkForSelection (const ItemInfo &info)
ItemInfo | leftItemInfo () const
bool | leftMaxZoom () const
bool | leftMinZoom () const
void | leftReload ()
double | leftZoomMax () const
double | leftZoomMin () const
ItemInfo | rightItemInfo () const
bool | rightMaxZoom () const
bool | rightMinZoom () const
void | rightReload ()
double | rightZoomMax () const
double | rightZoomMin () const
void | setHostWindowActions (const HostActionsMap &actions)
void | setLeftItemInfo (const ItemInfo &info=ItemInfo())
void | setNavigateByPair (bool b)
void | setPreviewSettings (const PreviewSettings &settings)
void | setRightItemInfo (const ItemInfo &info=ItemInfo())
void | setSyncPreview (bool sync)
void | toggleFullScreen (bool set)